## mx4j.tools.connector.rmi
Class RMIConnector

    java.lang.Object
      mx4j.tools.connector.rmi.RMIConnector

All Implemented Interfaces:
  JMXConnector, java.io.Serializable

Direct Known Subclasses:
  IIOPConnector, JRMPConnector

public abstract class RMIConnector
extends java.lang.Object
implements JMXConnector, java.io.Serializable

Client-side connector for Remote Method Invocation.

This is a base class for RMI/JRMP and RMI/IIOP connectors.

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`RMIConnector()`

Method Summary
`void` `close()` Closes this connector
`void` `connect(java.lang.String jndiName, java.util.Hashtable properties)` Connect to a server-side adaptor using the given JNDI name and JNDI properties.
`protected abstract javax.management.NotificationFilter` `createRemoteNotificationFilter(javax.management.NotificationFilter listener)`
`protected abstract javax.management.NotificationListener` `createRemoteNotificationListener(javax.management.NotificationListener listener)`
`java.lang.String` `getRemoteHostAddress()`
`java.lang.String` `getRemoteHostName()`
`RemoteMBeanServer` `getRemoteMBeanServer()` Returns an object representing a remote MBeanServer
`protected java.lang.Object` `invoke(java.lang.String key, javax.management.ObjectName objectName, java.lang.String methodName, java.lang.String[] signature, java.lang.Object[] arguments)`
`protected abstract RemoteAdaptor` `narrow(java.lang.Object object)`
`void` `setInvocationContext(InvocationContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMIConnector

    public RMIConnector()

Method Detail

### connect

    public void connect(java.lang.String jndiName,
                        java.util.Hashtable properties)
                 throws javax.naming.NamingException

  Connect to a server-side adaptor using the given JNDI name and JNDI properties.

  Throws:
    `javax.naming.NamingException`

### getRemoteMBeanServer

    public RemoteMBeanServer getRemoteMBeanServer()

  Description copied from interface: `JMXConnector`
  Returns an object representing a remote MBeanServer

  Specified by:
    `getRemoteMBeanServer` in interface `JMXConnector`

### narrow

    protected abstract RemoteAdaptor narrow(java.lang.Object object)

### setInvocationContext

    public void setInvocationContext(InvocationContext context)

### getRemoteHostName

    public java.lang.String getRemoteHostName()
                                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getRemoteHostAddress

    public java.lang.String getRemoteHostAddress()
                                          throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### close

    public void close()

  Description copied from interface: `JMXConnector`
  Closes this connector

  Specified by:
    `close` in interface `JMXConnector`

### createRemoteNotificationListener

    protected abstract javax.management.NotificationListener createRemoteNotificationListener(javax.management.NotificationListener listener)
                                                                                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### createRemoteNotificationFilter

    protected abstract javax.management.NotificationFilter createRemoteNotificationFilter(javax.management.NotificationFilter listener)
                                                                                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### invoke

    protected java.lang.Object invoke(java.lang.String key,
                                      javax.management.ObjectName objectName,
                                      java.lang.String methodName,
                                      java.lang.String[] signature,
                                      java.lang.Object[] arguments)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.